Package org.apache.maven.scm.provider.cvslib.command.tag

## Class AbstractCvsTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.cvslib.command.tag.AbstractCvsTagCommand

All Implemented Interfaces:
  `Command`, `CvsCommand`

Direct Known Subclasses:
  `CvsExeTagCommand`, `CvsJavaTagCommand`

    public abstract class AbstractCvsTagCommand
    extends AbstractTagCommand
    implements CvsCommand

Author:
  Emmanuel Venisse , Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractCvsTagCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract TagScmResult` `executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl)`
`ScmResult` `executeTagCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String tag, java.lang.String message)`
`ScmResult` `executeTagCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String tag, ScmTagParameters scmTagParameters)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsTagCommand

    public AbstractCvsTagCommand()

### Method Detail

#### executeTagCommand

    public ScmResult executeTagCommand​(ScmProviderRepository repo,
                                       ScmFileSet fileSet,
                                       java.lang.String tag,
                                       java.lang.String message)
                                throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    public ScmResult executeTagCommand​(ScmProviderRepository repo,
                                       ScmFileSet fileSet,
                                       java.lang.String tag,
                                       ScmTagParameters scmTagParameters)
                                throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract TagScmResult executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl)
                                               throws ScmException

Throws:
  `ScmException`